Description

Supportanfrage

In ADTF2 hatte man die Möglichkeit Filter Revision hinzufügen. wie kann man das in ADTF3 machen?

Lösung

Statt ADTF_PLUGIN einfach ADTF_PLUGIN_VERSION verwenden und eine eigene Version definieren.

z.B.

ADTF_PLUGIN_VERSION("Demo Code Generation Plugin", 

                    myversion, 

                    0, 8, 15,

                    cCodeGenerationDataGenerator,

                    cCodeGenerationDataAccess);

 In #8232 siehst du wie es am Ende aussieht.

Related issues:

Related to Public Support - Support Request #8232: ADTF plugin/filter version... Closed

History

#1 - 2020-03-17 16:49 - hidden

- Status changed from New to In Progress

- Topic set to ADTF::Common

#2 - 2020-03-19 12:13 - hidden

- Related to Support Request #8232: ADTF plugin/filter versioning and migration to new version questions added

#3 - 2020-03-19 12:14 - hidden

- Status changed from In Progress to Customer Feedback Required

Hallo Franck,

ich bin mir nicht 100% sicher was genau du meinst aber ich gehe jetzt mal davon aus, dass du von Versionierung sprichst ?

Wenn ja, dann kannst du statt ADTF_PLUGIN einfach ADTF_PLUGIN_VERSION verwenden und eine eigene Version definieren.

z.B.

ADTF_PLUGIN_VERSION("Demo Code Generation Plugin", 

                    myversion, 

                    0, 8, 15,

                    cCodeGenerationDataGenerator,

                    cCodeGenerationDataAccess);
https://support.digitalwerk.net/adtf/v3/adtf_html/adtf__plugin_8h.html#ace17ef108f312424ef5f39bfd883ea91
https://support.digitalwerk.net/adtf/v3/adtf_html/adtf__plugin_8h.html#accd6a305b95f14ef850d4f1e0f2b305c
https://support.digitalwerk.net/issues/8232
https://support.digitalwerk.net/adtf/v3/adtf_html/adtf__plugin_8h.html#ace17ef108f312424ef5f39bfd883ea91
https://support.digitalwerk.net/adtf/v3/adtf_html/adtf__plugin_8h.html#accd6a305b95f14ef850d4f1e0f2b305c


 In #8232 siehst du wie es am Ende aussieht.

#4 - 2020-03-19 13:25 - hidden

Hallo Florian,

danke das ist genau was ich gesucht habe.

viele Grüße

Franck

#5 - 2020-03-19 13:29 - hidden

- Project changed from 20 to Public Support

- Subject changed from Filter Revision in ADTF3 to Filter revision versioning in ADTF 3.x

- Description updated

- Status changed from Customer Feedback Required to To Be Closed

- Private changed from Yes to No

- Resolution set to Solved Issue

#8 - 2020-07-07 12:49 - hidden

- Status changed from To Be Closed to Closed
